com.sun.jna.platform.win32.COM

## Class TypeInfoUtil.TypeInfoDoc

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeInfoUtil.TypeInfoDoc

Enclosing class:
  TypeInfoUtil

    public static class TypeInfoUtil.TypeInfoDoc
    extends java.lang.Object

The Class TypeInfoDoc.

Author:
  wolf.tobias@gmx.net The Class TypeInfoDoc.

### Constructor Summary

Constructors
Constructor and Description
`TypeInfoDoc(java.lang.String name, java.lang.String docString, int helpContext, java.lang.String helpFile)` Instantiates a new type info doc.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDocString()` Gets the doc string.
`int` `getHelpContext()` Gets the help context.
`java.lang.String` `getHelpFile()` Gets the help file.
`java.lang.String` `getName()` Gets the name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeInfoDoc

    public TypeInfoDoc(java.lang.String name,
                       java.lang.String docString,
                       int helpContext,
                       java.lang.String helpFile)

Instantiates a new type info doc.

Parameters:
  `name` - the name
  `docString` - the doc string
  `helpContext` - the help context
  `helpFile` - the help file

### Method Detail

#### getName

    public java.lang.String getName()

Gets the name.

Returns:
  the name

#### getDocString

    public java.lang.String getDocString()

Gets the doc string.

Returns:
  the doc string

#### getHelpContext

    public int getHelpContext()

Gets the help context.

Returns:
  the help context

#### getHelpFile

    public java.lang.String getHelpFile()

Gets the help file.

Returns:
  the help file

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.